#ifndef  FILTCCD_H_SEEN  
#define  FILTCCD_H_SEEN

#ifdef __cplusplus
extern "C" {
#endif

void SetDebFilt(int razer);
double LPacZin(double t,double *Par,double *DgDpar);
double MPacZin(double t,double *Par,double *DgDpar);
double LPacZin2(double t,double *Par,double *DgDpar);
double MPacZin2(double t,double *Par,double *DgDpar);
double LErrExt(double t,double *Par,double *DgDpar);
void SetBosse_probnb(int iset);
int_4 Bosse(float *mag,float *err,int_4 ndata
         ,float mean,int_4 nptmin,float scut,int_4 nptscut
         ,float *chi2,int_4 *npoint,float *Pchi2
         ,int_4 *ideb,int_4 *ifin,int_4 *classB,int_4 NbossMX);
int BosseN(float *mag,float *err,int_4 ndata
         ,float mean,float smin,int_4 nptsmin,float scut,int_4 nptscut
         ,float *chi2,int_4 *npoint,float *Pchi2
         ,int_4 *ideb,int_4 *ifin,int_4 *classB,int_4 NbossMX);
int_4 BossePaG(float *temps,float *mag,float *err,int_4 ndata,float mean
            ,int_4 I1,int_4 I2,float *U0,float *T0,float *Tau);
float SigmaInt(float *temps,float *mag,float *err,int_4 *ndata,float nsgima);
int_4 FiltMed(float *mag,float *err
	     ,float *magflt,float *errflt, int_4 ndata);
int_4 FiltInt(float *temps,float *mag,float *err,int_4 ndata,int_4 I1,int_4 I2
             ,float lbosse,int_4 npomin,int_4 *ideb,int_4 *ifin);
double chi2_exterieur(float *mag,float *err,int_4 ndata
                     ,float mean,int_4 I1,int_4 I2, int_4 *npt);
double Dt_PacZin(double u0,double tau,double A);
int_4 Most_3D2D(float *Y,float *EY,int_4 *ndata,float Ymin,float Ymax
               ,float *Res_2D,float *Res_3D);
double correlation(int_4 npts,double *x,double *y);
double CorrelatioN(int_4 nptX,float *X,float *Y,int_4* IndXvY);
int_4 MeanLine(float *mag,float *err,int_4 *ndata
              ,int passmx,float nsigma,float *mean,float *sigma);
int_4 BaseLine(float *mag,float *err,int_4 *ndata,float nsigma
            ,float binini,float *mean,float *sigma,float *most);
int BaseLineS(float *y,float *ey,int ny,int nfiltre,float *mean,float *sigma);
int BaseLineP(float *y,float *ey,int ny,int nfiltre,float *mean);


#ifdef __cplusplus
}
#endif

#endif
